%define pkg_name        Storable
%define pkg_version     2.16
%define rpm_pkg_version 2.16
%define rpm_pkg_release 1.n0i.4

Summary:       Persistent data structure mechanism
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}
Epoch:         0
Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AM/AMS/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
The Storable extension brings persistency to your data.

You may recursively store to disk any data structure, no matter how
complex and circular it is, provided it contains only SCALAR, ARRAY,
HASH (possibly tied) and references (possibly blessed) to those items.

At a later stage, or in another program, you may retrieve data from
the stored file and recreate the same hiearchy in memory. If you
had blessed references, the retrieved references are blessed into
the same package, so you must make sure you have access to the
same perl class than the one used to create the relevant objects.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{__perl} -pi -e 's/^(\s*MAN3PODS)/#$1/' Makefile.PL


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ChangeLog README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0:2.16-1.n0i.4
- version 2.16

* Tue Sep 13 2005 Marius Feraru <altblue@n0i.net> 0:2.15-1.n0i.3
- version 2.15 (overriding core from perl 5.8.7 = 2.13)

* Sat Apr 03 2004 Marius FERARU <altblue@n0i.net> 0:2.12-1.n0i.2
- version 2.12

* Tue Mar 23 2004 Marius Feraru <altblue@n0i.net> 0:2.11-1.n0i.1
- version 2.11
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
